Get Release Group Release Licenses

gethttps://app.fossa.com/api/project_group/{groupId}/release/{projectGroupReleaseId}/licenses

Get the licenses for a given release

Path parameters

groupIdintegerrequired

The ID of the release group

projectGroupReleaseIdintegerrequired

The ID of the release

Responses

200An object where each key is a license ID, and each value is an object representing that license
object
400The group or release ID is not an integer
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

403The credential is not allowed to view these licenses, such as a push-only API token.
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

404Not found
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

GET https://app.fossa.com/api/project_group/1/release/1/licenses
curl --request GET \  --url 'https://app.fossa.com/api/project_group/1/release/1/licenses' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.

Path params

groupIdintegerrequired

The ID of the release group

projectGroupReleaseIdintegerrequired

The ID of the release